//--------------------------------------------------------------------------------//
//-                   HemiOs ( Hemisson Operating System )                       -//
//-																							         -//
//-  Ici un exemple avec le module Ecran LCD                                     -//
//-  Affichage d'un menu de pilotage du buzzer                                   -//
//-																							         -//
//- DIDASTEL Provence - juin 2004                                               -//
//-																							         -//
//--------------------------------------------------------------------------------//


// Placer le fichier "hemlcd.h" dans le rpertoire de votre projet et ajouter
#include "hemlcd.h"
// dans le fichier "main.c" de ce projet.

// Mettre le contenu de cette fonction dans la fonction "main()" de votre projet ...
void ExempleEcranLCD(void)
{
int1 Bp = 0, MenuOk = 0;

   // Initialisation du Hemisson :
   // - lecture automatique des capteurs IR active ;
   // - gestion RS232 active ;
   // - lecture automatique de la tlcommande TV ;
   // - gestion du robot par la tlcommande TV active.
   hemisson_init();

   // Ajouter ici votre code ...

   // Initialisation du module LCD
   HemLCD_Init();
   // dfinition du contenu des lignes  afficher
   strcpy(Line1, "BUZZER");
   strcpy(Line2, "MENU");
   // Affichage sur la ligne 2 du texte "MENU"
   HemLCD_Line2_Centered(Line2);

   // Rglage du rtro-clairage
   HemLCD_Set_Backlight(20);
   // Rglage du contraste
   HemLCD_Set_Contrast(210);

   // galement dans cette boucle ...
   while(1)
      {
      // Lecture des BP du HemLCD
      HemLCD_read_Interruptors();
      // Dtection du front montant du BP central de l'cran LCD
      if (SW2 > Bp)
         {
         if (MenuOk) // Menu dja affich
            {
            // Effacer cran
            HemLCD_Clear_Screen();
            delay_ms(2);
            // Affichage sur la ligne 2 du texte "MENU"
            strcpy(Line2, "MENU");
            HemLCD_Line2_Centered(Line2);
            // Rglage du rtro-clairage
            HemLCD_Set_Backlight(20);
            // Rglage du contraste
            HemLCD_Set_Contrast(210);
            MenuOk = 0;
            }
         else // Menu non affich
            {
            // Affichage du menu BUZZER
            // Affichage sur la ligne 1 du texte "BUZZER"
            HemLCD_Line1_Centered(Line1);
            // Affichage sur la ligne 2 du texte "ON" "ESC" et "OFF"
            strcpy(Line2, "ON  ESC  OFF");
            HemLCD_Line2_Centered(Line2);
            // Rglage du rtro-clairage
            HemLCD_Set_Backlight(100);
            // Rglage du contraste
            HemLCD_Set_Contrast(240);
            MenuOk = 1;
            }
         Bp = 1;
         }
      // Dtection du front descendabt du BP central de l'cran LCD
      if (SW2 < Bp)
         {
         Bp = 0;
         }

      // Gestion BUZZER en fonction du MENU et des BP du LCD
      if (MenuOk & (SW1 != 0))
         hemisson_beep(1);
      if (MenuOk & (SW3 != 0))
         hemisson_beep(0);
     }
   // Attention cette boucle infinie est obligatoire pour ne pas risquer
   // d'craser le "BootLoader", voir "Hemisson Uploader".
}
