//--------------------------------------------------------------------------------//
//-                   HemiOs ( Hemisson Operating System )                       -//
//-																							         -//
//-  Ici un exemple avec le module Synthtisuer vocal                            -//
//-  Le robot prononce "Warning Front" sur une dtection d'objet sur le          -//
//-  dtecteur IR Avant, puis prononce "OK" quand la voie est libre. 	         -//
//-																							         -//
//- DIDASTEL Provence - juin 2004                                                -//
//-																							         -//
//--------------------------------------------------------------------------------//


// Placer le fichier "hemtexttospeech.h" dans le rpertoire de votre projet et ajouter
#include "hemtexttospeech.h"
// dans le fichier "main.c" de ce projet.

// Mettre le contenu de cette fonction dans la fonction "main()" de votre projet ...
void ExempleSynthtiseurVocal(void)
{
int Taille = 0;
char Obstacle = 0, Txt[24];

   // Initialisation du Hemisson :
   // - lecture automatique des capteurs IR active ;
   // - gestion RS232 active ;
   // - lecture automatique de la tlcommande TV ;
   // - gestion du robot par la tlcommande TV active.
   hemisson_init();

   // Ajouter ici votre code ...

   // Initialisation module, attente apres la mise sous tension du robot
   HemTextToSpeech_Init();
   // Rglage de la viettesse de parole du synthtiseur vocal
   HemTextToSpeech_Speed(0x07);
   // Rglage de la tonalit du synthtiseur vocal
   HemTextToSpeech_Pitch(0x03);

   // galement dans cette boucle ...
   while(1)
      {
      // Dtection d'un obstacle devant le capteur IR AVANT
      if ((hemisson_get_proximity(FRONT) > 100) & !Obstacle)
         {
         // Fabrication de la phrase  prononcer
         sprintf(Txt, "warning front");
         Taille = sizeof(Txt);
         // Prononciation de la phrase
         HemTextToSpeech_Speak(Txt, Taille);
         Obstacle = 1;
         }
      if (Obstacle & (hemisson_get_proximity(FRONT) < 50))
         {
         // Fabrication de la phrase  prononcer
         sprintf(Txt, "OK");
         Taille = sizeof(Txt);
         // Prononciation de la phrase
         HemTextToSpeech_Speak(Txt, Taille);
         Obstacle = 0;
         }
      }
   // Attention cette boucle infinie est obligatoire pour ne pas risquer
   // d'craser le "BootLoader", voir "Hemisson Uploader".
}
